libgd-text-perl_0.86-9_all.deb


Advertisement

Description

libgd-text-perl - Text utilities for use with GD

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libgd-text-perl
Package version 0.86
Package release 9
Package architecture all
Package type deb
Installed size 84 B
Download size 40.39 KB
Official Mirror ftp.br.debian.org
This module provides a font-independent way of dealing with text in GD,
for use with the GD::Text::* modules and GD::Graph.

Alternatives

Package Version Architecture Repository
libgd-text-perl_0.86-9_all.deb 0.86 all Debian Main
libgd-text-perl - - -

Requires

Name Value
libgd-gd2-noxpm-perl -
libgd-gd2-perl -
libgd-perl -
perl -

Download

Type URL
Binary Package libgd-text-perl_0.86-9_all.deb
Source Package libgd-text-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgd-text-perl deb package:
    # sudo apt-get install libgd-text-perl

Files

Path
/usr/share/doc/libgd-text-perl/README.gz
/usr/share/doc/libgd-text-perl/buildinfo_all.gz
/usr/share/doc/libgd-text-perl/changelog.Debian.gz
/usr/share/doc/libgd-text-perl/changelog.gz
/usr/share/doc/libgd-text-perl/copyright
/usr/share/doc/libgd-text-perl/examples/demo/GDWrap.pl
/usr/share/doc/libgd-text-perl/examples/demo/GDWrap.ref.png
/usr/share/man/man3/GD::Text.3pm.gz
/usr/share/man/man3/GD::Text::Align.3pm.gz
/usr/share/man/man3/GD::Text::Wrap.3pm.gz
/usr/share/perl5/GD/Text.pm
/usr/share/perl5/GD/Text/Align.pm
/usr/share/perl5/GD/Text/Wrap.pm

Changelog

2014-06-14 - Jonas Smedegaard <dr@jones.dk>
libgd-text-perl (0.86-9) unstable; urgency=low
[ Gregor Herrmann ]
* Remove debian/source/local-options: abort-on-upstream-changes and
unapply-patches are default in dpkg-source since 1.16.1.
[ Salvatore Bonaccorso ]
* Change to use canonical hot (anonscm.debian.org) in Vcs-Git URI.
[ Axel Beckert ]
* Update copyright info:
+ Declare compliance with format version 1.0.
[ Jonas Smedegaard ]
* Update copyright file:
+ Fix use comment and license pseudo-sections to obey silly
restrictions of copyright format 1.0.
+ Extend packaging to cover recent years.
+ Bump licensing of packaging to GPL-3+.
+ Quote license names in comments to avoid some ambiguity.
* Bump debhelper compatibility level to 8: Corresponding debhelper
version satisfied even in oldstable.
* Bump Standards-Version to 3.9.5: Packaging is compliant with
corresponding version of Debian Policy.
* Update watch file to include metacpan.org URL (replacing
search.cpan.org URL), in addition to www.cpan.org URL.
Stop needless (and arguably bogus) upstream version mangling.
* Modernize CDBS:
+ Hard-include upstream-tarball.mk and utils.mk: Needed helper tools
are now available even in oldstable.
+ Simple-expand a variable.
* Update package relations:
+ (Build-)depend on libgd-perl (with obsolete libgd-gd2-perl and
libgd-gd2-noxpm-perl variants only as fallback).
+ Suggest fonts-dustin (not deprecated ttf-dustin).
+ Relax to build-depend unversioned on cdbs, dh-buildinfo and
debhelper: Needed versions satisfied even in oldstable.
+ Build-depend on devscripts: Needed for copyright check.
+ Resolve package relations in rules file.
* Fix use canonical Vcs-Git and Vcs-Browser URLs.
2011-05-08 - Jonas Smedegaard <dr@jones.dk>
libgd-text-perl (0.86-8) unstable; urgency=low
* Improve package relations:
+ Stop declaring package part of core Perl even in oldstable:
- libtest-simple-perl
* Update copyright file:
+ Rewrite using draft 174 of DEP-5 format.
+ Fix use Comment (not Comments) fields.
+ Rewrap license fields at 72 chars.
* Bump policy compliance to standards-version 3.9.2.
2011-03-11 - Jonas Smedegaard <dr@jones.dk>
libgd-text-perl (0.86-7) unstable; urgency=low
* Fix squash double ${perl:Depends}.
* Update watch file to track both by-modules page and search.cpan.org.
* Use CDBS perl-makemaker.mk (not deprecated perlmodule.mk).
* Extend copyright years for Debian packaging.
* Update copyright file:
+ Rewrite using DEP5 Subversion draft rev.173.
+ Extend years.
+ Use search.cpan.org page as source URL.
* (Build-)depend on libgd-gd2-perl: libgd-gd2-noxpm-perl is
deprecated.
* Stop no longer needed Breaks on ancient libgd-perl.
2010-10-18 - Jonas Smedegaard <dr@jones.dk>
libgd-text-perl (0.86-6) unstable; urgency=low
* Move to Debian Perl Group: Update Maintainer field, and set myself
to uploader.
* Packaging moved to Git:
+ Update Vcs stanzas.
+ Add git-buildpackage configfile, enabling signed tags and use of
pristine-tar.
+ Use source format 3.0 (quilt), with suitable local-options.
+ Git-ignore quilt .pc dir.
* Drop locally included CDBS snippets: included in main cdbs now.
* Add README.source. Drop custom hints about CDBS.
* Add proper licensing header to debian/rules. Extend copyright years.
* Strip now obsolete suffices from watch file.
* Ease backporting to Debian stable: Relax inclusion of CDBS snippets
required only in DEB_MAINTAINER_MODE, and supprress related build-
dependencies.
* Fix depend on ${perl:Depends} and ${misc:Depends}.
* Break (not conflict with) older libgd-perl.
* Bump Policy compliance to standards-version 3.9.1.
* Rewrite copyright file using draft rev135 of DEP5 format.

See Also

Package Description
libgd-tools_2.1.0-5+deb8u11_amd64.deb GD command line tools and example code
libgd2-noxpm-dev_2.1.0-5+deb8u11_amd64.deb GD Graphics Library (transitional package)
libgd2-xpm-dev_2.1.0-5+deb8u11_amd64.deb GD Graphics Library (transitional package)
libgd3_2.1.0-5+deb8u11_amd64.deb GD Graphics Library
libgda-5.0-4_5.2.2-2_amd64.deb data abstraction library based on GLib
libgda-5.0-bin_5.2.2-2_amd64.deb data abstraction library based on GLib -- binary files
libgda-5.0-common_5.2.2-2_all.deb data abstraction library based on GLib -- common files
libgda-5.0-dev_5.2.2-2_amd64.deb data abstraction library based on GLib -- development files
libgda-5.0-doc_5.2.2-2_all.deb data abstraction library based on GLib -- documentation files
libgda-5.0-mysql_5.2.2-2_amd64.deb MySQL provider for libgda database abstraction library
libgda-5.0-postgres_5.2.2-2_amd64.deb PostgreSQL provider for libgda database abstraction library
libgdal-dev_1.10.1+dfsg-8+b3_amd64.deb Geospatial Data Abstraction Library - Development files
libgdal-doc_1.10.1+dfsg-8_all.deb Documentation for the Geospatial Data Abstraction Library
libgdal-java_1.10.1+dfsg-8+b3_amd64.deb Java bindings to the Geospatial Data Abstraction Library
libgdal-perl_1.10.1+dfsg-8+b3_amd64.deb Perl bindings to the Geospatial Data Abstraction Library
Advertisement
Advertisement